get_filename_component(PackageName ${CMAKE_CURRENT_SOURCE_DIR} NAME)
project(${PackageName})

set(PublicDependencies
    $<$<CONFIG:Debug,RelWithDebInfo>:quill::quill>
    $<IF:$<BOOL:${ASAN}>,mimalloc-asan,mimalloc-static>
    stduuid::stduuid)
set(PrivateDependencies)
set(BigfootPublicDependencies
    Utils)
set(BigfootPrivateDependencies)

bigfoot_create_package_lib(
    "${PublicDependencies}"
    "${PrivateLibraries}"
    "${BigfootPublicDependencies}"
    "${BigfootPrivateDependencies}"
    "")

bigfoot_create_logger()

target_compile_definitions(${PROJECT_NAME}
        PUBLIC 
            $<$<CONFIG:Debug,RelWithDebInfo>:QUILL_NO_EXCEPTIONS>
            $<$<CONFIG:Debug,RelWithDebInfo>:QUILL_DISABLE_NON_PREFIXED_MACROS>)
set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/MimallocImpl.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)

